QGIS Application - Bug report #10352
Exception with offset polygon layer and composition
2014-05-25 08:02 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18773
Description

I get an unknown except error when working with a map item in a composition, which I'm 90% certain is caused by an offset line applied to
a polygon layer in the map.

Steps to reproduce:

- Add a polygon layer to the map

- Style this layer with an Outline: Simple Line layer

- Set a negative offset on the line so that it is drawn outside the polygon's outer ring

- Create a composition, add a map item

- Pan and zoom the composer map item around the edge of the polygon with the offset line fill. Sooner or later an "unknown exception”
error box will pop up.

I'm only seeing this with the layer with the offset fill. My guess is it's something to do with the polygon being clipped due to the bounds of
the map item in the composer, and that this causes the exception.

I haven't seen this on 2.2, so | suspect it's something to do with the new GEOS method for line offsets, so I'm tentatively assigning this to
Alvaro...

Related issues:
Related to QGIS Application - Bug report # 10195: Offset line symbology added... Closed 2014-05-06

History

#1 - 2014-05-26 03:04 AM - Nyall Dawson

- Subject changed from Expection with offset polygon layer and composition to Exception with offset polygon layer and composition

#2 - 2014-06-10 03:45 AM - Alvaro Huarte

Hi Nyall, this PR ( https:/github.com/qgis/QGIS/pull/1437 ) attemps to fix this bug.
Best regards

#3 - 2014-06-12 11:50 PM - Martin Dobias

Please test to see if the fix helps.

Alvaro, the "unknown error" message box indicates uncaught exception from GEOS. It would be good to have any calls to GEOS (e.g. for offset line or
buffer for labeling) going through QgsGeometry class, which handles the exceptions.

#4 - 2014-06-13 12:00 AM - Alvaro Huarte
https://github.com/qgis/QGIS/pull/1437

Martin Dobias wrote:
Please test to see if the fix helps.
Alvaro, the "unknown error" message box indicates uncaught exception from GEOS. It would be good to have any calls to GEOS (e.g. for offset line

or buffer for labeling) going through QgsGeometry class, which handles the exceptions.

Hi Martin, | agree with it, | will incluide the wrapper methods of GEOSOffsetCurve and GEOSBuffer in QgsGeometry class

Thank you very much

#5 - 2014-06-13 02:03 AM - Alvaro Huarte

Alvaro Huarte wrote:

Martin Dobias wrote:

Please test to see if the fix helps.

Alvaro, the "unknown error" message box indicates uncaught exception from GEOS. It would be good to have any calls to GEOS (e.g. for offset

line or buffer for labeling) going through QgsGeometry class, which handles the exceptions.

Hi Martin, | agree with it, | will incluide the wrapper methods of GEOSOffsetCurve and GEOSBuffer in QgsGeometry class

Thank you very much

Done!

https://github.com/qgis/QGIS/pull/1451

#6 - 2014-06-21 07:59 AM - Jurgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

PR was merged in commit:9d8a8424
